Summary:		Plugin module for ooRexx scripts.
Name:			pw3270-plugin-rexx
Version:		5.1
Release:		0
License:		GPL-2.0
Source:			%{name}-%{version}.tar.bz2
URL:			https://portal.softwarepublico.gov.br/social/pw3270/
Group: 			Development/Languages/Rexx

BuildRoot:		/var/tmp/%{name}-%{version}

BuildRequires:	ooRexx-devel
BuildRequires:  autoconf >= 2.61
BuildRequires:  automake
BuildRequires:  binutils
BuildRequires:  coreutils
BuildRequires:  gcc-c++
BuildRequires:  m4
BuildRequires:	fdupes
BuildRequires:  pkgconfig
BuildRequires:	pkgconfig(pw3270) >= 5.1

Requires:		ooRexx-extension-tn3270 = %{version}

%description

Plugin module for ooRexx plugins in pw3270.

This package provides a pw3270 plugin allowing use o rexx scripts
directly from pw3270 main window.

%package -n ooRexx-extension-tn3270

Summary:        ooRexx API for tn3270 acesss using pw3270 ou lib3270
Group:          Development/Languages/Other
Requires:		lib3270 >= 5.1
Requires:       ooRexx >= 4.2

%description -n ooRexx-extension-tn3270

This package provides Rexx class and associated libraries
allowing rexx scripts to access tn3270e hosts.


%prep

%setup

export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"

aclocal
autoconf
%configure

# No dev packet
rm -f $RPM_BUILD_ROOT/%{_libdir}/librx3270.so

%build
make clean
make Release

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/pw3270-plugins/prx3270.so
%{_datadir}/pw3270/ui/80rexx.xml

%files -n ooRexx-extension-tn3270
%doc README.md
%{_libdir}/librx3270.*
%{_datadir}/ooRexx/rx3270.cls


%changelog


